fileappender.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/fstreams.h>`
`#include <log4cplus/helpers/timehelper.h>`
`#include <log4cplus/helpers/lockfile.h>`
`#include <fstream>`
`#include <locale>`
`#include <memory>`
Include dependency graph for fileappender.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::FileAppenderBase
| Base class for Appenders writing log events to a file. More...
class | log4cplus::FileAppender
| Appends log events to a file. More...
class | log4cplus::RollingFileAppender
| RollingFileAppender extends FileAppender to backup the log files when they reach a certain size. More...
class | log4cplus::DailyRollingFileAppender
| DailyRollingFileAppender extends `FileAppender` so that the underlying file is rolled over at a user chosen frequency. More...
class | log4cplus::TimeBasedRollingFileAppender
| TimeBasedRollingFileAppender extends `FileAppenderBase` so that the underlying file is rolled over at a user chosen frequency while also keeping in check a total maximum number of produced files. More...

## Namespaces

namespace | log4cplus

## Typedefs

typedef helpers::SharedObjectPtr< FileAppender > | log4cplus::SharedFileAppenderPtr
typedef helpers::SharedObjectPtr< RollingFileAppender > | log4cplus::SharedRollingFileAppenderPtr
typedef helpers::SharedObjectPtr< DailyRollingFileAppender > | log4cplus::SharedDailyRollingFileAppenderPtr
typedef helpers::SharedObjectPtr< TimeBasedRollingFileAppender > | log4cplus::SharedTimeBasedRollingFileAppenderPtr

## Enumerations

enum | log4cplus::DailyRollingFileSchedule { log4cplus::MONTHLY , log4cplus::WEEKLY , log4cplus::DAILY , log4cplus::TWICE_DAILY , log4cplus::HOURLY , log4cplus::MINUTELY }